Bug 178727 - OOo Impress crashes when I try to insert a MPEG file
OOo Impress crashes when I try to insert a MPEG file
Status: CLOSED DUPLICATE of bug 161474
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2006-01-23 15:13 EST by Bryan Cole
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-23 15:52:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 60952 None None None Never

  None (edit)
Description Bryan Cole 2006-01-23 15:13:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Epiphany/1.6.5

Description of problem:
Copied below is the crash trace output on inserting a mpeg file into OOo-Impress. I'm using Sun Java 1.5.0_5 with JMF-2.1.1e. Note, JMF doesn't work with GCJ, so testing this with GCJ is impossible. Note, the mpeg file plays OK using the JMF media player window. It's only when the file is inserted into a presentation that things screw up.

I originally filed the bug with OO.org but they couldn't reproduce it with a "standard" build of OOo, thus they rejected as a Fedora specific (gcc-4.0?) issue, so I'm filin it here instead.

Inserting a MPEG into an Impress doc causes a crash with the following trace:

Video Driver is probably nvidia
DESKTOP_SESSION is set to default
libgcj version is libgcj-4.0.2-8.fc4
OpenOffice.org core rpm version is openoffice.org-core-
0x766007: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e007
0x7667cc: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e7cc
0x5a7420:  + 0x420 (__kernel_sigreturn + 0x0)
0x309888: /lib/libc.so.6 + 0x29888 (abort + 0xf8)
0xb41e97c5: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x25c7c5
0xb42782d4: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x2eb2d4
0xb41ee1c4: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x2611c4
(JVM_handle_linux_signal + 0x244)
0xb41eb6e4: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x25e6e4
0x5a7440:  + 0x440 (__kernel_rt_sigreturn + 0x0)
0x398ee94: /opt/java/jre1.5.0_05/lib/i386/xawt/libmawt.so + 0x30e94
0x409b47: /home/bryan/download/JMF-2.1.1e/lib/libjmfjawt.so + 0xb47
(Java_com_sun_media_DrawingSurfaceJAWT_getWindowHandle + 0x53)
0xaf49542b: ????????
0xaf48d157: ????????
0xb40f9b6c: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x16cb6c
0xb41ec688: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x25f688
0xb40f999f: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x16c99f
0xb411cd12: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x18fd12
0xb410f7d7: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x1827d7
0x3643324: /home/bryan/download/JMF-2.1.1e/lib/libjmutil.so + 0x3324
(Java_com_sun_media_util_WindowUtil_getWindowHandle + 0x78)
0xaf49542b: ????????
0xaf48f9cf: ????????
0xaf48f9cf: ????????
0xaf48f9cf: ????????
0xaf48f9cf: ????????
0xaf48fcd5: ????????
0xaf48d157: ????????
0xb40f9b6c: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x16cb6c
0xb41ec688: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x25f688
0xb40f999f: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x16c99f
0xb411cfc3: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x18ffc3
0xb4108b43: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x17bb43
0x3643159: /home/bryan/download/JMF-2.1.1e/lib/libjmutil.so + 0x3159
(CallVoidMethod + 0x65)
0x7c68c80: /home/bryan/download/JMF-2.1.1e/lib/libjmmpx.so + 0x21c80
(Jmpx_displayImage + 0x24)
0x7c556d6: /home/bryan/download/JMF-2.1.1e/lib/libjmmpx.so + 0xe6d6 (ccnv_disp +
0x7c4fe1c: /home/bryan/download/JMF-2.1.1e/lib/libjmmpx.so + 0x8e1c (fwd_11172 +
0x7c569f9: /home/bryan/download/JMF-2.1.1e/lib/libjmmpx.so + 0xf9f9
(process_command + 0xa51)
0x7c57433: /home/bryan/download/JMF-2.1.1e/lib/libjmmpx.so + 0x10433 (mpx_main +
0x7c5842d: /home/bryan/download/JMF-2.1.1e/lib/libjmmpx.so + 0x1142d (mpxThread
+ 0x4d)
0x7c68ce6: /home/bryan/download/JMF-2.1.1e/lib/libjmmpx.so + 0x21ce6
(Java_com_sun_media_codec_video_jmpx_MpxThread_run + 0x42)
0xaf49542b: ????????
0xaf48d157: ????????
0xb40f9b6c: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x16cb6c
0xb41ec688: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x25f688
0xb40f93c5: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x16c3c5
0xb40f945e: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x16c45e
0xb415eac5: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x1d1ac5
0xb424af03: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x2bdf03
0xb41ed198: /opt/java/jre1.5.0_05/lib/i386/client/libjvm.so + 0x260198
0x437b80: /lib/libpthread.so.0 + 0x5b80
0x3aa9ce: /lib/libc.so.6 + 0xca9ce (__clone + 0x5e)

I'm using the Fedora Core 4 version of OOo (v2.0.1, dunno what build number)

Can someone write a gstreamer backend for the media player so we can ditch JMF!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open new presentation
2. Insert media file
3. crash

Additional info:
Comment 1 Caolan McNamara 2006-01-23 15:52:25 EST

a) there's a gstreamer backend in the works apparently

b) there's little I can do about the jmf problem as sun java isn't supported by
us, you're caught in a bit of a double bind here :-(

But to get this to work, we need at least bug 161474 to work, I'll mark this as
duplicate of that, even though probably not 100% duplicate

*** This bug has been marked as a duplicate of 161474 ***
Comment 2 Caolan McNamara 2006-01-23 15:59:50 EST
what's the upstream bug id on this btw, so I can track any developments on that ?
Comment 3 Bryan Cole 2006-01-24 02:44:27 EST
On the OOo site, it's issue 60952. The issue was closed as being a FC-specific
issue. I'm also not surprised fc/redhat can't do much about the bug, due to the
implicit Sun java dependency. 

Overall, the best solution would be to replace JMF. 

Hurrah for the the UNO-gstreamer work! The links from the blog don't work
however (this is a very new posting so maybe the auther didn't set them up yet

Note You need to log in before you can comment on or make changes to this bug.